Spaces method and path for this operation:
post /s/{space_id}/api/fleet/agents/setup
Refer to Spaces for more information.
Initialize Fleet. This endpoint is used by Elastic Agents to trigger Fleet setup. Safe to call multiple times; subsequent calls are idempotent.
[Required authorization] Route required privileges: fleet-agents-read OR fleet-agent-policies-read OR fleet-settings-read OR fleet-setup.
POST
/api/fleet/agents/setup
curl \
--request POST 'https://<KIBANA_URL>/api/fleet/agents/setup' \
--header "Authorization: $API_KEY" \
--header "kbn-xsrf: true"
Response examples (200)
Fleet setup initialized successfully with no non-fatal errors
{
"isInitialized": true,
"nonFatalErrors": []
}
Response examples (400)
Example of a generic error response
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}